package com.nisum.ascend.promotions.service;

import com.nisum.ascend.promotions.dto.PromotionDto;
import com.nisum.ascend.promotions.repository.PromotionRepository;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import reactor.core.publisher.Flux;

@Service
public class PromotionService {

    @Autowired
    PromotionRepository promotionRepository;

    public Flux<PromotionDto> findAll(){
        return promotionRepository.findAll().map(PromotionDto::generateDtoFromPromotion);
    }
}
